module AR::Game::BEHAVIOR_NAME 
  
  #add attr_accessor properties here... 
  #if you don't need them serialized on save

  #...initialize them here
  def self.init ar_object 
    #add attr_serializeable properties here... 
    #if you do need them serialized on save
    #ar_object.attr_serializeable :prop1, :prop2, &block

  end

  def self.extended ar_object
    self.init ar_object
    
    #add to object's event subscriptions and resolutions here...

  end 


  #add more methods here

end
